import { contextBridge, ipcRenderer } from 'electron'
import { electronAPI } from '@electron-toolkit/preload'

const api = {
  // Input overlay API
  showInputOverlay: (options) => ipcRenderer.send('show-input-overlay', options),
  hideInputOverlay: () => ipcRenderer.send('hide-input-overlay'),
  onInputOverlayShow: (callback) => ipcRenderer.on('show-input-overlay', callback),
  onInputOverlayHide: (callback) => ipcRenderer.on('hide-input-overlay', callback),
  removeInputOverlayListeners: () => {
    ipcRenderer.removeAllListeners('show-input-overlay')
    ipcRenderer.removeAllListeners('hide-input-overlay')
  }
}

if (process.contextIsolated) {
  try {
    contextBridge.exposeInMainWorld('electron', electronAPI)
    contextBridge.exposeInMainWorld('api', api)
  } catch (error) {
    console.error(error)
  }
} else {
  window.electron = electronAPI
  window.api = api
}
