const { DataTypes } = require('sequelize');

module.exports = (sequelize) => {
  const CalendarUser = sequelize.define('CalendarUser', {
    id: {
      type: DataTypes.INTEGER,
      primaryKey: true,
      autoIncrement: true
    },
    name: {
      type: DataTypes.STRING,
      allowNull: false,
      unique: true
    },
    nextcloudUrl: {
      type: DataTypes.STRING,
      allowNull: false
    },
    username: {
      type: DataTypes.STRING,
      allowNull: false
    },
    password: {
      type: DataTypes.STRING,
      allowNull: false
    },
    calendarName: {
      type: DataTypes.STRING,
      allowNull: true // Will default to personal calendar if not specified
    },
    isActive: {
      type: DataTypes.BOOLEAN,
      defaultValue: true
    }
  }, {
    tableName: 'calendar_users',
    timestamps: true
  });

  return CalendarUser;
};
